# -*- coding: utf-8 -*-
"""Thx FCM checks module"""
from django.core.checks import Warning as DJWarning
from thx.fcm.models import Device


def check_google_credentials(app_configs, error, **kwargs):  # pragma: no cover
    """Check FCM google credentials"""
    return [
      DJWarning(
            "An error occurred during thx FCM app initialization.\nException: %(exc)s" % {"exc": str(error)},
            hint="Set Google configuration using settings GOOGLE_APPLICATION_CREDENTIALS and initialize your app.\n" \
                 "See offical documentation at https://github.com/xtrinch/fcm-django#fcm-django",
            obj=Device,
            id="thx.fcm.W001",
        )
    ]
